curl --request PUT \
--url https://app.formbricks.com/api/v2/management/contacts/bulk \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"workspaceId": "ws_01h2xce9q8p3w4x5y6z7a8b9c0",
"contacts": [
{
"attributes": [
{
"attributeKey": {
"key": "email",
"name": "Email Address"
},
"value": "john.doe@example.com"
},
{
"attributeKey": {
"key": "firstName",
"name": "First Name"
},
"value": "John"
},
{
"attributeKey": {
"key": "lastName",
"name": "Last Name"
},
"value": "Doe"
}
]
},
{
"attributes": [
{
"attributeKey": {
"key": "email",
"name": "Email Address"
},
"value": "jane.smith@example.com"
},
{
"attributeKey": {
"key": "firstName",
"name": "First Name"
},
"value": "Jane"
},
{
"attributeKey": {
"key": "lastName",
"name": "Last Name"
},
"value": "Smith"
}
]
}
]
}
'import requests
url = "https://app.formbricks.com/api/v2/management/contacts/bulk"
payload = {
"workspaceId": "ws_01h2xce9q8p3w4x5y6z7a8b9c0",
"contacts": [{ "attributes": [
{
"attributeKey": {
"key": "email",
"name": "Email Address"
},
"value": "john.doe@example.com"
},
{
"attributeKey": {
"key": "firstName",
"name": "First Name"
},
"value": "John"
},
{
"attributeKey": {
"key": "lastName",
"name": "Last Name"
},
"value": "Doe"
}
] }, { "attributes": [
{
"attributeKey": {
"key": "email",
"name": "Email Address"
},
"value": "jane.smith@example.com"
},
{
"attributeKey": {
"key": "firstName",
"name": "First Name"
},
"value": "Jane"
},
{
"attributeKey": {
"key": "lastName",
"name": "Last Name"
},
"value": "Smith"
}
] }]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: 'ws_01h2xce9q8p3w4x5y6z7a8b9c0',
contacts: [
{
attributes: [
{
attributeKey: {key: 'email', name: 'Email Address'},
value: 'john.doe@example.com'
},
{attributeKey: {key: 'firstName', name: 'First Name'}, value: 'John'},
{attributeKey: {key: 'lastName', name: 'Last Name'}, value: 'Doe'}
]
},
{
attributes: [
{
attributeKey: {key: 'email', name: 'Email Address'},
value: 'jane.smith@example.com'
},
{attributeKey: {key: 'firstName', name: 'First Name'}, value: 'Jane'},
{attributeKey: {key: 'lastName', name: 'Last Name'}, value: 'Smith'}
]
}
]
})
};
fetch('https://app.formbricks.com/api/v2/management/contacts/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"status": "<string>",
"message": "<string>"
}
}{
"data": {
"status": "<string>",
"message": "<string>",
"skippedContacts": [
{
"index": 123,
"userId": "<string>"
}
]
}
}Upload Bulk Contacts
Uploads contacts in bulk. This endpoint expects the bulk request shape: contacts must be an array, and each contact item must contain an attributes array of { attributeKey, value } objects. Unlike POST /management/contacts, this endpoint does not accept a top-level attributes object. Each contact must include an email attribute in its attributes array, and that email must be valid. Note - Environments are deprecated. Use Workspace/workspaceId terminology.
Authorizations
Use your Formbricks x-api-key to authenticate.
Body
The contacts to upload. Use the full nested bulk body shown in the example or cURL snippet: { workspaceId, environmentId (deprecated), contacts: [{ attributes: [{ attributeKey: { key, name }, value }] }] }. Each contact must include an email attribute inside its attributes array.
Response
Contacts uploaded successfully.
Show child attributes
Show child attributes
Was this page helpful?